Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class SVGAnimationEngine.AnimatablePaintValueFactory

    java.lang.Object
      org.apache.batik.bridge.SVGAnimationEngine.CSSValueFactory
          org.apache.batik.bridge.SVGAnimationEngine.AnimatablePaintValueFactory

All Implemented Interfaces:
  SVGAnimationEngine.Factory

Enclosing class:
  SVGAnimationEngine

    protected class SVGAnimationEngine.AnimatablePaintValueFactory

extends SVGAnimationEngine.CSSValueFactory

Factory class for `AnimatablePaintValue`s.

Constructor Summary
`protected` | `SVGAnimationEngine.AnimatablePaintValueFactory()`

Method Summary
`protected AnimatableValue` | `createAnimatableValue(AnimationTarget target, String pn, Value v)` Creates a new AnimatableValue from a CSS `Value`, after computation and inheritance.
`protected AnimatablePaintValue` | `createColorPaintValue(AnimationTarget t, Color c)` Creates a new `AnimatablePaintValue` from a `Color` object.

Methods inherited from class org.apache.batik.bridge.SVGAnimationEngine.CSSValueFactory
`computeValue, createCSSValue, createValue, createValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGAnimationEngine.AnimatablePaintValueFactory

    protected SVGAnimationEngine.AnimatablePaintValueFactory()

Method Detail

### createColorPaintValue

    protected AnimatablePaintValue createColorPaintValue(AnimationTarget t,
                                                         Color c)

  Creates a new `AnimatablePaintValue` from a `Color` object.

### createAnimatableValue

    protected AnimatableValue createAnimatableValue(AnimationTarget target,
                                                    String pn,
                                                    Value v)

  Description copied from class: `SVGAnimationEngine.CSSValueFactory`
  Creates a new AnimatableValue from a CSS `Value`, after computation and inheritance.

  Specified by:
    `createAnimatableValue` in class `SVGAnimationEngine.CSSValueFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.